---
- name: enable repository set RHEL 7
  theforeman.foreman.repository_set:
    username: admin
    password: "{{ satellite_admin_password }}"
    server_url: "https://{{ ansible_host }}"
    validate_certs: false
    organization: Demo
    state: enabled
    name: Red Hat Enterprise Linux 7 Server (RPMs)
    product: Red Hat Enterprise Linux Server
    repositories:
    - releasever: "7Server"
      basearch: "x86_64"

- name: start syncing RHEL 7
  theforeman.foreman.repository_sync:
    username: admin
    password: "{{ satellite_admin_password }}"
    server_url: "https://{{ ansible_host }}"
    validate_certs: false
    organization: Demo
    repository: Red Hat Enterprise Linux 7 Server (RPMs)
    product: Red Hat Enterprise Linux for x86_64
  # do not wait for this task since it can run for hours
  async: 15
  poll: 0

- name: create Development Lifecycle Environment
  theforeman.foreman.lifecycle_environment:
    username: admin
    password: "{{ satellite_admin_password }}"
    server_url: "https://{{ ansible_host }}"
    validate_certs: false
    organization: Demo
    name: Development
    prior: Library
    description: Development Environment
    state: present

- name: create Production Lifecycle Environment
  theforeman.foreman.lifecycle_environment:
    username: admin
    password: "{{ satellite_admin_password }}"
    server_url: "https://{{ ansible_host }}"
    validate_certs: false
    organization: Demo
    name: Production
    prior: Development
    description: Production Environment
    state: present

- name: create RHEL 7 Content View
  theforeman.foreman.content_view:
    username: admin
    password: "{{ satellite_admin_password }}"
    server_url: "https://{{ ansible_host }}"
    validate_certs: false
    organization: Demo
    name: RHEL 7
    repositories:
    - name: Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server
      product: Red Hat Enterprise Linux Server

- name: create version 1.0 of RHEL 7 Content View
  theforeman.foreman.content_view_version:
    username: admin
    password: "{{ satellite_admin_password }}"
    server_url: "https://{{ ansible_host }}"
    validate_certs: false
    organization: Demo
    version: "1.0"
    lifecycle_environments: Development
    content_view: RHEL 7

- name: promote version 1.0 of RHEL 7 Content View
  theforeman.foreman.content_view_version:
    username: admin
    password: "{{ satellite_admin_password }}"
    server_url: "https://{{ ansible_host }}"
    validate_certs: false
    organization: Demo
    version: "1.0"
    lifecycle_environments: Development
    content_view: RHEL 7

- name: create activation key RHEL7
  theforeman.foreman.activation_key:
    username: admin
    password: "{{ satellite_admin_password }}"
    server_url: "https://{{ ansible_host }}"
    validate_certs: false
    organization: Demo
    auto_attach: true
    name: RHEL7
    state: present
    content_view: RHEL 7
    lifecycle_environment: Development
